import { isQuickApp } from 'universal-env';
import otherModule from '../index';
var exportModule;

function chooseImage(options) {
  if (options.sourceType && options.sourceType.indexOf('camera') > -1) {
    return new Promise(function (resolve, reject) {
      // eslint-disable-next-line @typescript-eslint/no-var-requires
      var media = require('@system.media');

      media.takePhoto({
        success: function success(res) {
          var _res$uris = res.uris,
              uris = _res$uris === void 0 ? [] : _res$uris;
          var apFilePaths = [];

          if (uris.length > 0) {
            apFilePaths = Object.values(uris);
          }

          resolve(Object.assign({}, {
            data: apFilePaths
          }, res));
        },
        fail: function fail(data, code) {
          reject({
            'error': code,
            'errorMessage': data
          });
        }
      });
    });
  } else {
    return new Promise(function (resolve, reject) {
      // eslint-disable-next-line @typescript-eslint/no-var-requires
      var media = require('@system.media');

      media.pickImages({
        success: function success(res) {
          var _res$uris2 = res.uris,
              uris = _res$uris2 === void 0 ? [] : _res$uris2;
          var apFilePaths = [];

          if (uris.length > 0) {
            apFilePaths = Object.values(uris);
          }

          resolve(Object.assign({}, {
            data: apFilePaths
          }, res));
        },
        fail: function fail(data, code) {
          reject({
            'error': code,
            'errorMessage': data
          });
        }
      });
    });
  }
}

if (isQuickApp) {
  exportModule = chooseImage;
} else {
  exportModule = otherModule;
}

export default exportModule;