"use strict";

exports.__esModule = true;
exports.default = void 0;

var _universalEnv = require("universal-env");

var _index = _interopRequireDefault(require("../index"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var exportModule;

function chooseImage(options) {
  if (options.sourceType && options.sourceType.indexOf('camera') > -1) {
    return new Promise(function (resolve, reject) {
      // eslint-disable-next-line @typescript-eslint/no-var-requires
      var media = require('@system.media');

      media.takePhoto({
        success: function success(res) {
          var _res$uris = res.uris,
              uris = _res$uris === void 0 ? [] : _res$uris;
          var apFilePaths = [];

          if (uris.length > 0) {
            apFilePaths = Object.values(uris);
          }

          resolve(Object.assign({}, {
            data: apFilePaths
          }, res));
        },
        fail: function fail(data, code) {
          reject({
            'error': code,
            'errorMessage': data
          });
        }
      });
    });
  } else {
    return new Promise(function (resolve, reject) {
      // eslint-disable-next-line @typescript-eslint/no-var-requires
      var media = require('@system.media');

      media.pickImages({
        success: function success(res) {
          var _res$uris2 = res.uris,
              uris = _res$uris2 === void 0 ? [] : _res$uris2;
          var apFilePaths = [];

          if (uris.length > 0) {
            apFilePaths = Object.values(uris);
          }

          resolve(Object.assign({}, {
            data: apFilePaths
          }, res));
        },
        fail: function fail(data, code) {
          reject({
            'error': code,
            'errorMessage': data
          });
        }
      });
    });
  }
}

if (_universalEnv.isQuickApp) {
  exportModule = chooseImage;
} else {
  exportModule = _index.default;
}

var _default = exportModule;
exports.default = _default;